#!/usr/bin/perl

use strict;
use ABAC;
use Data::Dumper;
$Data::Dumper::Indent = 1;

my $keystore = shift || die "Usage: prover.pl <keystore>\n";

ABAC::libabac_init();

my $ctx = ABAC::Context->new;
$ctx->load_directory($keystore);

my ($success, $credentials) = $ctx->query(
    "06df985dc065fc69b508f6afa8dd127cd29ccc62.fed_create",
    "ef3584d91703acc4d9cb0f1f0950a31fc89e0b4c"
);

if ($success) {
    print "Success\n";
}

foreach my $credential (@$credentials) {
    printf "credential %s <- %s\n",
        $credential->head->string,
        $credential->tail->string;
}

ABAC::libabac_deinit();
